<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of PhpMyVistes Plugin for Dotclear 2.
# 
# Copyright (c) 2008 Akewea.com
# 
# PhpMyVistes Plugin for Dotclear 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# PhpMyVistes Plugin for Dotclear 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PhpMyVistes Plugin for Dotclear 2.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { return; }

$core->tpl->addValue('PhpMyVisites',array('PhpMyVisites','PhpMyVisitesMarker'));

class PhpMyVisites extends dcUrlHandlers
{

	public static function PhpMyVisitesMarker($attr)
	{
		$core =& $GLOBALS['core'];

		$res = '';
		
		if($core->blog->settings->phpmyvisites_site_id < 1) {
			return $res;
		}
		
		$f = $core->tpl->getFilters($attr);
		
		$pagename = !empty($attr['pagename']) ? $attr['pagename'] : '<?php echo '.sprintf($f, 'PhpMyVisites::getPageName()').'; ?>';
			
		$res .= '
		<!-- phpmyvisites -->
		<a href="http://www.phpmyvisites.us/" title="phpMyVisites | Open source web analytics" onclick="window.open(this.href);return(false);">
			<script type="text/javascript">
				<!--
				var a_vars = Array();
				var pagename=\''.$pagename.'\';
				
				var phpmyvisitesSite = <?php echo '.sprintf($f, '$core->blog->settings->phpmyvisites_site_id').'; ?>;
				var phpmyvisitesURL = "<?php echo '.sprintf($f, '$core->blog->settings->phpmyvisites_url').'; ?>";
				//-->
			</script>
			
			<script language="javascript" src="<?php echo '.sprintf($f, '$core->blog->settings->phpmyvisites_js_url').'; ?>" type="text/javascript"></script>
			
			<object><noscript><p>phpMyVisites | Open source web analytics
			<img src="<?php echo '.sprintf($f, '$core->blog->settings->phpmyvisites_url').'; ?>" alt="Statistics" style="border:0" />
			</p></noscript></object>
		</a>
		<!-- /phpmyvisites -->';
		
		return $res;
	}
	
	public static function getPageName($dateformat='%B %Y')
	{
		global $core, $_ctx, $_search;
		
		$name = '';
				
		$attr['encode_html'] = 0;
		$f = $core->tpl->getFilters($attr);
		
		switch($core->url->type){
			case "post":
				$name = 'Post/'.$_ctx->posts->post_title;
				break;
				
			case "category":
				$name = 'Category/'.$_ctx->categories->cat_title;
				break;
			
			case "tag":
				$name = 'Tag/'.$_ctx->meta->meta_id;
				break;		
								
			case "404":
				$name = '404'.$_SERVER["REQUEST_URI"]; 
				break;
				
			case "archive":
				$name = 'Archives';
				if($_ctx->archives->dt){
					$name .= '/'.dt::dt2str($dateformat,$_ctx->archives->dt);
				}
				break;
				
			case "default":
				if(!empty($_GET['q'])){
					$name = 'Search/'.$_search;
				}else{
					$name = 'Home';
				}
				break;

			default:
				$name = $_SERVER["REQUEST_URI"];
		}

		return $name;
	}
}
?>